struct Base  {
  virtual void hi();
  int test_int();
};
int main(int);
struct Foo : public Base {
 void hi();
  void (Base::*fptr)();
  int i;
};

void f() {
}

int main(int) {
  f();
  void (*fp)(int);
  Base *b;
  Foo *f;
  f->fptr = 0;
  f->hi();
  fp(0);
}
